import * as React from 'react';
import { render, cleanup } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import { ShuttleContainer } from '../ShuttleContainer';
afterEach(cleanup);
describe('ShuttleContainer tests', () => {
    it('should render', () => {
        expect(() => {
            render(React.createElement(ShuttleContainer, null, () => React.createElement("p", null, "hello")));
        }).not.toThrow();
    });
    it('should contain data-name and other essential attributes', () => {
        const { container, getByTestId } = render(React.createElement(ShuttleContainer, { "data-testid": "container" }, () => React.createElement("p", null, "hello")));
        expect(getByTestId('container')).toHaveAttribute('data-name', 'target');
        expect(getByTestId('container')).toHaveAttribute('role', 'listbox');
        expect(getByTestId('container')).toHaveAttribute('tabindex', '0');
        expect(container).toMatchSnapshot();
    });
});
