import * as React from 'react';
import { render, cleanup } from '@testing-library/react';
import { ShuttleItem } from '../ShuttleItem';
afterEach(cleanup);
describe('ShuttleItem tests', () => {
    it('should render without errors', () => {
        const spy = jest.spyOn(global.console, 'warn');
        expect(() => {
            render(React.createElement(ShuttleItem, { value: "testing" }, "Testing"));
        }).not.toThrow();
        expect(console.warn).toHaveBeenCalled();
        spy.mockRestore();
    });
    it('should match the snapshot', () => {
        const spy = jest.spyOn(global.console, 'warn');
        const { container } = render(React.createElement(ShuttleItem, { "data-index": 1, value: "foo" }, "Foo"));
        expect(container).toMatchSnapshot();
        expect(console.warn).not.toHaveBeenCalled();
        spy.mockRestore();
    });
    it('should match the snapshot when disabled', () => {
        const { container } = render(React.createElement(ShuttleItem, { "data-index": 1, disabled: true, value: "foo" }, "Foo"));
        expect(container).toMatchSnapshot();
    });
    it('should match the snapshot when selected', () => {
        const { container } = render(React.createElement(ShuttleItem, { "data-index": 1, selected: true, value: "foo" }, "Foo"));
        expect(container).toMatchSnapshot();
    });
});
