import * as React from 'react';
import { Shuttle } from '../../Shuttle';
import { moveAll } from '../../reducers';
import { dummyState } from './stateGenerator';
export default class TestClassShuttle extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            ...dummyState(),
            selected: {
                source: new Set(),
                target: new Set(),
            },
            disabled: {
                source: new Set(),
                target: new Set(),
            },
        };
        this.handleMoveAllToTarget = () => {
            this.setState({
                ...moveAll(this.state, {
                    type: 'MOVE_ALL',
                    from: 'source',
                    to: 'target',
                }),
            });
        };
    }
    render() {
        return (React.createElement(Shuttle, { shuttleState: this.state, setShuttleState: this.setState },
            React.createElement(Shuttle.Container, { "data-testid": "source_container" }, ({ source, selected }, getItemProps) => source.map((item, index) => (React.createElement(Shuttle.Item, Object.assign({}, getItemProps(index), { key: item, value: item, selected: selected.source.has(index) }), item)))),
            React.createElement(Shuttle.Controls, { "data-testid": "controls" }, () => (React.createElement(React.Fragment, null,
                React.createElement("button", { className: "move_all", onClick: this.handleMoveAllToTarget }, "Move All to Target")))),
            React.createElement(Shuttle.Container, { "data-testid": "target_container" }, ({ target, selected }, getItemProps) => target.map((item, index) => (React.createElement(Shuttle.Item, Object.assign({}, getItemProps(index), { key: item, value: item, selected: selected.target.has(index) }), item))))));
    }
}
