import * as React from 'react';
import { Shuttle } from '../../Shuttle';
import { useShuttleState } from '../../hooks/useShuttleState';
import { useShuttleKeyboardControls } from '../../hooks/useShuttleKeyboardControls';
export default function TestKbdShuttle({ state }) {
    const shuttle = useShuttleState(state);
    const controls = useShuttleKeyboardControls(shuttle);
    return (React.createElement(Shuttle, Object.assign({}, shuttle, controls),
        React.createElement(Shuttle.Container, { "data-testid": "source_container" }, ({ source, selected }, getItemProps) => source.map((item, index) => (React.createElement(Shuttle.Item, Object.assign({}, getItemProps(index), { key: item, value: item, selected: selected.source.has(index) }), item)))),
        React.createElement(Shuttle.Controls, { "data-testid": "controls" }),
        React.createElement(Shuttle.Container, { "data-testid": "target_container" }, ({ target, selected }, getItemProps) => target.map((item, index) => (React.createElement(Shuttle.Item, Object.assign({}, getItemProps(index), { key: item, value: item, selected: selected.target.has(index) }), item))))));
}
