import * as React from 'react';
import { ShuttleItem } from './ShuttleItem';
import { ShuttleContainer } from './ShuttleContainer';
import { ShuttleControls } from './ShuttleControls';
import { ShuttleState } from './hooks/useShuttleState';
export declare type ShuttleReducer = Record<string, any>;
declare type Statics = {
    Item: typeof ShuttleItem;
    Container: typeof ShuttleContainer;
    Controls: typeof ShuttleControls;
};
export declare type ShuttleProps = {
    /**
     * The state to pass to the Shuttle.
     */
    shuttleState: ShuttleState;
    /**
     * The set state function passed to the shuttle.
     * Internally this function is a `dispatch` from
     * `React.useReducer`. If you're not using the
     * `useShuttleState` hook you **must** provide
     * a dispatch-compatible function yourself.
     */
    setShuttleState: React.Dispatch<Record<string, any>>;
    /**
     * Optional classNames to pass to the shuttle.
     */
    className?: string;
    /**
     * Shuttle children to render.
     */
    children: React.ReactNode[];
    /**
     * Set false to disable user selection hack if it's causing problems
     * in your app.
     */
    enableUserSelectionHack?: boolean;
};
export declare const Shuttle: React.FC<ShuttleProps> & Statics;
export {};
//# sourceMappingURL=Shuttle.d.ts.map