import * as React from 'react';
import { ShuttleState } from './hooks/useShuttleState';
export declare type ShuttleContainerProps = {
    /**
     * Child render function of the Shuttle Container.
     * This is where you render your Shuttle.Item components.
     */
    children: (store: ShuttleState, getItemProps: (index: number) => {
        'data-index': number;
        selected: boolean;
    }) => React.ReactNode;
    /**
     * Optionally pass a className to the container
     * for CSS styles.
     */
    className?: string;
} & Record<string, any>;
/**
 * Pass a child render function or a render prop.
 */
export declare const ShuttleContainer: React.FC<ShuttleContainerProps>;
//# sourceMappingURL=ShuttleContainer.d.ts.map