import * as React from 'react';
export declare type ShuttleItemProps = {
    /**
     * Children to pass into the shuttle item.
     * This can be any react node.
     */
    children: React.ReactNode;
    /**
     * Optional `className` values to pass to the
     * shuttle item.
     */
    className?: string;
    /**
     * Disable all click and keyboard events
     * on the shuttle item. This will also prevent
     * the shuttle item from moving to other containers.
     */
    disabled?: boolean;
    /**
     * Supply a meaningful value to the shuttle
     * item.
     */
    value: string;
    /**
     * Set the selection status of the shuttle item.
     */
    selected?: boolean;
    /**
     * Used for optimizing lookups on DOM nodes. This helps keep
     * react-shuttle super fast!
     */
    'data-index'?: number;
};
export declare const ShuttleItem: React.ForwardRefExoticComponent<ShuttleItemProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=ShuttleItem.d.ts.map