import { SHUTTLE_CONTAINERS } from '../components/Shuttle/globals';
/**
 * A contrived implementation of classNames. This allows
 * react-accessible-shuttle to have zero dependencies.
 */
export declare function classNames(...args: any[]): string;
/**
 * Small warn wrapper.
 * @see https://github.com/i18next/react-i18next/blob/master/src/utils.js
 */
export declare function warn(...args: string[]): void;
/**
 * Warn about issues only once.
 * @see https://github.com/i18next/react-i18next/blob/master/src/utils.js
 */
export declare function warnOnce(...args: string[]): void;
/**
 * Converts the source array to a Set.
 * Needed because IE 11 fails with `new Set([1,2,3])`.
 */
export declare function toSet<T>(source: T[]): Set<T>;
/**
 * Gets the index of the HTMLElement. As an escape hatch, if `data-index` was not passed
 * to the Shuttle.Item we will look through the list to find the item we want.
 */
export declare const getIndexFromItem: (target: HTMLDivElement) => number;
/**
 * Gets the shuttle item from the DOM since consumers can render whatever
 * they want inside the item itself, we might need to look up the DOM tree
 * to get the HTMLElement.
 */
export declare const getShuttleItem: (e: HTMLElement) => HTMLDivElement | null;
export declare const removeDisabledIndexes: (collection: HTMLCollection, indexes: number[]) => number[];
/**
 * Gets relevant metadata from the container including
 * if the container is the source or target and the name
 * of the container.
 */
export declare const getContainerMetadata: (container: Element) => {
    source: boolean;
    containerName: SHUTTLE_CONTAINERS;
};
export declare const isContainer: (container: HTMLDivElement) => boolean;
/**
 * @see https://github.com/then/is-promise/blob/master/index.js
 */
export declare function isPromise(obj: any): boolean;
//# sourceMappingURL=utils.d.ts.map